## abydos 0.5.0%2Bgit20201231.344346a

=== requirements.txt ===
# Library dependencies for the Python code.  You need to install these with
# `pip install -r requirements.txt` before you can run this.

numpy
deprecation

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/abydos-$1\.tar\.gz/ https://github.com/chrislit/abydos/tags .*/v?(\d\S+)\.tar\.gz

## abydos 0.5.0+git20201231.344346a

=== binder/requirements.txt ===
abydos
numpy
pandas
scikit-learn
tensorflow
keras
nltk

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         = letter
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_elements.papersize=a4
PAPEROPT_letter = -D latex_elements.papersize=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html        to make standalone HTML files"
	@echo "  dirhtml     to make HTML files named index.html in directories"
	@echo "  singlehtml  to make a single large HTML file"
	@echo "  pickle      to make pickle files"
	@echo "  json        to make JSON files"
	@echo "  htmlhelp    to make HTML files and an HTML help project"
	@echo "  qthelp      to make HTML files and a qthelp project"
	@echo "  applehelp   to make an Apple Help Book"
	@echo "  devhelp     to make HTML files and a Devhelp project"
	@echo "  epub        to make an epub"
	@echo "  epub3       to make an epub3"
	@echo "  latex       to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf    to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja  to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  lualatexpdf to make LaTeX files and run them through lualatex"
	@echo "  xelatexpdf  to make LaTeX files and run them through xelatex"
	@echo "  text        to make text files"
	@echo "  man         to make manual pages"
	@echo "  texinfo     to make Texinfo files"
	@echo "  info        to make Texinfo files and run them through makeinfo"
	@echo "  gettext     to make PO message catalogs"
	@echo "  changes     to make an overview of all changed/added/deprecated items"
	@echo "  xml         to make Docutils-native XML files"
	@echo "  pseudoxml   to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck   to check all external links for integrity"
	@echo "  doctest     to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage    to run coverage check of the documentation (if enabled)"
	@echo "  dummy       to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/abydos.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/abydos.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/abydos"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/abydos"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: lualatexpdf
lualatexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through lualatex..."
	$(MAKE) PDFLATEX=lualatex -C $(BUILDDIR)/latex all-pdf
	@echo "lualatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: xelatexpdf
xelatexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through xelatex..."
	$(MAKE) PDFLATEX=xelatex -C $(BUILDDIR)/latex all-pdf
	@echo "xelatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
abydos (0.5.0+git20201231.344346a-7) unstable; urgency=medium

  * Team upload.

  [ Julian Gilbey ]
  * Correct package description

  [ Shengjing Zhu ]
  * Fix comparing float number in pairwise tests on
    Python 3.12 (Closes: #1056223, LP: #2045121)

  [ Benjamin Drung ]
  * Do not install python-abydos-doc in pytest autopkgtest

 -- Benjamin Drung <bdrung@debian.org>  Thu, 30 Nov 2023 17:06:43 +0100

abydos (0.5.0+git20201231.344346a-6) unstable; urgency=medium

  * Fix failing test script: assertEqual should be replaced by
    assertAlmostEqual when using floats.  (Changed just one file, but
    there are over 1600 other cases still left elsewhere :-( )

 -- Julian Gilbey <jdg@debian.org>  Tue, 14 Dec 2021 06:17:27 +0000

abydos (0.5.0+git20201231.344346a-5) unstable; urgency=medium

  * Fix autopkgtest script

 -- Julian Gilbey <jdg@debian.org>  Mon, 13 Dec 2021 21:37:35 +0000

abydos (0.5.0+git20201231.344346a-4) unstable; urgency=medium

  [ Julian Gilbey ]
  * Remove Otto from uploaders
  * Remove PDF from documentation package as unnecessary bloat; this
    incidentally closes a bug (Closes: #997135)
  * d/watch: fix package name
  * Add autopkgtest
  * Update remote/local MathJax handling for new version of Sphinx

  [ Diego M. Rodriguez ]
  * d/control: update homepage and add metadata (Closes: #987180)

 -- Julian Gilbey <jdg@debian.org>  Sat, 20 Nov 2021 19:11:06 +0000

abydos (0.5.0+git20201231.344346a-3) unstable; urgency=medium

  * Fix Build-Depends

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Feb 2021 09:04:49 +0000

abydos (0.5.0+git20201231.344346a-2) unstable; urgency=medium

  * Add build-profile information to control file
  * Switch to dh-sequence-python3
  * Use DEB_BUILD_OPTIONS in debian/rules rather than DEB_BUILD_PROFILE

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Feb 2021 06:38:54 +0000

abydos (0.5.0+git20201231.344346a-1) unstable; urgency=medium

  * Initial release (Closes: #979201)

 -- Julian Gilbey <jdg@debian.org>  Sun, 24 Jan 2021 08:01:15 +0000

=== debian/control ===
Source: abydos
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-deprecation,
               python3-lzss <!nocheck>,
               python3-nltk <!nocheck>,
               python3-numpy,
               python3-paq <!nocheck>,
               python3-setuptools,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxcontrib.bibtex <!nodoc>,
               python3-syllabipy <!nocheck>,
               sphinx <!nodoc>,
Standards-Version: 4.6.0
Homepage: https://github.com/chrislit/abydos
Vcs-Git: https://salsa.debian.org/python-team/packages/abydos.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/abydos
Rules-Requires-Root: no

Package: python3-abydos
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-abydos-doc,
          python3-lzss,
          python3-nltk,
          python3-paq,
          python3-syllabipy
Description: NLP/IR library of phonetic algorithms, string distances and more
 Abydos is a Python library containing about 40 phonetic algorithms, 35 string
 distance measures & metrics, 10 stemmers, and 10 string fingerprinters.
 .
 Some of the algorithms require installation of the suggested packages.

Package: python-abydos-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Recommends: python3-abydos
Description: Documentation of Abydos NLP/IR library
 This package contains the Abydos documentation in HTML format and
 some example Jupyter Notebooks.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=abydos

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
	# Avoid external images
	perl -i -pe 's%https://raw.githubusercontent.com/chrislit/abydos/master/abydos-small.png%abydos-small.png%' docs/_build/html/intro.html
	cp abydos-small.png docs/_build/html

execute_after_dh_auto_clean:
	$(MAKE) -C docs clean

override_dh_installdocs:
	dh_installdocs -ppython-abydos-doc --doc-main-package=python3-abydos
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ppython-abydos-doc --doc-main-package=python3-abydos
	dh_installexamples --remaining-packages
else
%:
	dh $@ --buildsystem=pybuild
endif

=== debian/tests/control ===
Tests: pytest
Depends: python3-abydos, python3-all
Restrictions: allow-stderr
